Bug 479761 - Assertion 'pa_asyncq_push(...) == 0' failed
Assertion 'pa_asyncq_push(...) == 0' failed
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: pulseaudio (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Lennart Poettering
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-12 16:52 EST by Stephen
Modified: 2009-06-27 11:17 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 494038 (view as bug list)
Environment:
Last Closed: 2009-02-24 22:20:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stephen 2009-01-12 16:52:36 EST
Description of problem:

From /var/log/messages:

Jan  9 22:32:52 localhost pulseaudio[2633]: module-alsa-sink.c: ALSA woke us up to write new data to the device, but there wa
s actually nothing to write! Most likely this is an ALSA driver bug. Please report this issue to the PulseAudio developers.
Jan  9 22:32:52 localhost pulseaudio[2633]: asyncq.c: q overrun, queuing locally
Jan  9 22:32:52 localhost pulseaudio[2633]: asyncmsgq.c: Assertion 'pa_asyncq_push(a->asyncq, &i, TRUE) == 0' failed at pulse
core/asyncmsgq.c:164, function pa_asyncmsgq_send(). Aborting.


After this the machine froze -- it wouldn't respond to keyboard input, mouse clicks, vt switching, and the screen would not update. The mouse pointer was responsive though...



Version-Release number of selected component (if applicable):

pulseaudio-0.9.13-6.fc10.i386
kernel-2.6.27.9-159.fc10.i686
Comment 1 Lennart Poettering 2009-01-14 11:37:03 EST
Fixed upstream in r20edd84.
Comment 2 Lennart Poettering 2009-02-24 22:20:01 EST
Please update to pulseaudio-0.9.14-1.
Comment 3 Lacrocivious Acrophosist 2009-06-27 11:17:02 EDT
# uname -a
Linux [hostname].cos.lan 2.6.29.5-84.fc10.i686.PAE #1 SMP Tue Jun 16 11:57:27 EDT 2009 i686 athlon i386 GNU/Linux


From /var/log/messages:

Jun 27 10:20:23 hostname pulseaudio[3265]: protocol-native.c: Failed to push data into queue                                                                    
<repeated many times>
Jun 27 10:20:23 hostname pulseaudio[3265]: asyncq.c: q overrun, queuing locally 
<repeated many times>
Jun 27 10:20:23 hostname pulseaudio[3265]: asyncmsgq.c: Assertion 'pa_asyncq_push(a->asyncq, &i, TRUE) == 0' failed at pulsecore/asyncmsgq.c:164, function pa_asyncmsgq_send(). Aborting.


Version-Release number of selected component (if applicable):

# egrep "(pulse|kernel)" /var/log/rpmpkgs             
alsa-plugins-pulseaudio-1.0.18-2.fc10.i386.rpm                                  
fluxbox-pulseaudio-1.1.1-1.fc10.i386.rpm                                        
gyachi-plugin-pulseaudio-1.1.71-3.fc10.i386.rpm                                 
kde-settings-pulseaudio-4.1-6.20090206svn.fc10.noarch.rpm                       
kernel-2.6.29.3-60.fc10.i686.rpm                                                
kernel-2.6.29.4-75.fc10.i686.rpm                                                
kernel-2.6.29.5-84.fc10.i686.rpm                                                
kernel-PAE-2.6.29.5-84.fc10.i686.rpm                                            
kernel-PAE-debuginfo-2.6.29.5-84.fc10.i686.rpm                                  
kernel-PAE-devel-2.6.29.5-84.fc10.i686.rpm                                      
kernel-debuginfo-common-2.6.29.5-84.fc10.i686.rpm                               
kernel-devel-2.6.29.3-60.fc10.i686.rpm                                          
kernel-devel-2.6.29.4-75.fc10.i686.rpm                                          
kernel-devel-2.6.29.5-84.fc10.i686.rpm                                          
kernel-firmware-2.6.29.5-84.fc10.noarch.rpm                                     
kernel-headers-2.6.29.5-84.fc10.i386.rpm                                        
kerneloops-0.12-2.fc10.i386.rpm                                                 
nocpulse-common-2.0.14-1.fc10.noarch.rpm                                        
projectM-pulseaudio-1.2.0-3.fc10.i386.rpm                                       
projectM-pulseaudio-debuginfo-1.2.0-3.fc10.i386.rpm                             
pulseaudio-0.9.14-3.fc10.i386.rpm                                               
pulseaudio-core-libs-0.9.14-3.fc10.i386.rpm                                     
pulseaudio-esound-compat-0.9.14-3.fc10.i386.rpm                                 
pulseaudio-libs-0.9.14-3.fc10.i386.rpm                                          
pulseaudio-libs-devel-0.9.14-3.fc10.i386.rpm                                    
pulseaudio-libs-glib2-0.9.14-3.fc10.i386.rpm                                    
pulseaudio-libs-zeroconf-0.9.14-3.fc10.i386.rpm                                 
pulseaudio-module-gconf-0.9.14-3.fc10.i386.rpm                                  
pulseaudio-module-jack-0.9.14-3.fc10.i386.rpm                                   
pulseaudio-module-x11-0.9.14-3.fc10.i386.rpm                                    
pulseaudio-module-zeroconf-0.9.14-3.fc10.i386.rpm                               
pulseaudio-utils-0.9.14-3.fc10.i386.rpm                                         
wine-pulseaudio-1.1.23-1.fc10.i386.rpm                                          
xine-lib-pulseaudio-1.1.16.3-2.fc10.i386.rpm                                    
xmms-pulse-0.9.4-6.fc10.i386.rpm                                                
xmms-pulse-debuginfo-0.9.4-6.fc10.i386.rpm


Sound loss can be random, but can apparently be triggered fairly reliably by youtube video play.
All sound ceases to work from the point of failure, but the system otherwise behaves normally.
PulseAudio Manager shows no connection and reports 'Connection refused' upon 'Connect' attempt.
This problem occurs at least once in every 24-hour period, including during unattended periods.
As nearly as I can recall this problem began with kernel-2.6.29.4-75.fc10.i686.
The problem never occurred before that; now it occurs in both standard and PAE kernels.


$ pulseaudio
I: caps.c: Limited capabilities successfully to CAP_SYS_NICE.
I: caps.c: Dropping root privileges.                         
I: caps.c: Limited capabilities successfully to CAP_SYS_NICE.
N: main.c: Called SUID root and real-time and/or high-priority scheduling was requested in the configuration. However, we lack the necessary privileges:        
N: main.c: We are not in group 'pulse-rt', PolicyKit refuse to grant us the requested privileges and we have no increase RLIMIT_NICE/RLIMIT_RTPRIO resource limits.
N: main.c: For enabling real-time/high-priority scheduling please acquire the appropriate PolicyKit privileges, or become a member of 'pulse-rt', or increase the RLIMIT_NICE/RLIMIT_RTPRIO resource limits for this user.
W: alsa-util.c: Device hw:0 doesn't support 44100 Hz, changed to 16000 Hz.
W: alsa-util.c: Device hw:0 doesn't support 2 channels, changed to 1.
W: module-alsa-source.c: Your kernel driver is broken: it reports a volume range from 18.00 dB to 18.00 dB which makes no sense.


lspci -vv for sound card:

00:06.1 Audio device: nVidia Corporation MCP55 High Definition Audio (rev a2)
        Subsystem: ASUSTeK Computer Inc. Device 81f6                         
        Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-                                                   
        Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-                                                    
        Latency: 0 (500ns min, 1250ns max)                                      
        Interrupt: pin B routed to IRQ 21                                       
        Region 0: Memory at fe024000 (32-bit, non-prefetchable) [size=16K]      
        Capabilities: [44] Power Management version 2                           
                Flags: PMEClk- DSI- D1- D2- AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot+,D3cold+)                                                                      
                Status: D0 PME-Enable- DSel=0 DScale=0 PME-                     
        Capabilities: [50] Message Signalled Interrupts: Mask+ 64bit+ Count=1/1 Enable-                                                                         
                Address: 0000000000000000  Data: 0000                           
                Masking: 00000000  Pending: 00000000                            
        Capabilities: [6c] HyperTransport: MSI Mapping Enable+ Fixed+           
        Kernel driver in use: HDA Intel                                         
        Kernel modules: snd-hda-intel

Note You need to log in before you can comment on or make changes to this bug.